Docs Ali Pix /openapi/v2/video/extend/generate
API reference

Generate extended video

Extend an existing video; optional prompt and model parameters.

POST/openapi/v2/video/extend/generate

Body Parametersapplication/json

duration* integer

Video generation duration v.3.5/v4/v4.5 : 5/8 (v3.5 1080p cannot be used 8) v5: 5/8 v5.5 : 5/8/10 (1080p not available 10) v6: 1~15

model* string

Model "v3.5","v4","v4.5","v5","v5.5","v6"

motion_mode string

"normal","fast". "fast" does not support 8s, "v5" does not support this field

prompt* string

Within 2048 Characters

quality* string

"360p","540p","720p","1080p"

seed integer

Random seed; same seed makes results reproducible

source_video_id integer

Source_video_id or video_media_id must be passed

style string

Style, optional: "anime", "3d_animation", "day", "cyberpunk", "comic", don't pass it if it's not necessary

video_media_id integer

Source_video_id or video_media_id must be passed

water_mark* boolean

Whether to add a watermark

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"duration": 8,
3"model": "v5",
4"motion_mode": "normal",
5"prompt": "across the universe",
6"quality": "540p",
7"seed": 123123,
8"source_video_id": 123123,
9"water_mark": false
10}
Code Sample cURL
1curl -X POST "https://api.digislash.com/openapi/v2/video/extend/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"duration": 8,
6"model": "v5",
7"motion_mode": "normal",
8"prompt": "across the universe",
9"quality": "540p",
10"seed": 123123,
11"source_video_id": 123123,
12"water_mark": false
13}'
Response
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}